
Foreman - Refactor #19895

Fix Rubocop: Style/RedundantReturn

06/04/2017 09:56 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5309,

https://github.com/theforeman/foreman/p

ull/6751

  

Description

For more info see https://rubocop.readthedocs.io/en/latest/cops_style/#styleredundantreturn

Related issues:

Related to Foreman - Refactor #22058: Rubocop Tracker Issue New

Associated revisions

Revision 33a09887 - 01/15/2018 04:28 PM - Michael Moll 

Fixes #19895 - Fix Style/RedundantReturn cop

Revision 5f5b13a9 - 04/02/2018 08:54 AM - Michael Moll 

Fixes #19895 - Fix Style/RedundantReturn cop

History

#1 - 12/21/2017 08:30 PM - Anonymous

- Related to Refactor #22058: Rubocop Tracker Issue added

#2 - 01/15/2018 05:02 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 33a09887feec3cca954db6a2a3eb121f12b03455.

#3 - 01/15/2018 06:33 PM - Tomer Brisker

- Subject changed from Fix Rubocop: Style/RedundantReturn

 to Fix Rubocop: Style/RedundantReturn

- translation missing: en.field_release set to 330

#4 - 04/01/2018 01:06 PM - Anonymous

- Status changed from Closed to Assigned

- Assignee set to Anonymous

Rubycop 0.54 had a fix that detects spome more places now

#5 - 04/01/2018 01:21 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5309 added

05/18/2024 1/2

https://rubocop.readthedocs.io/en/latest/cops_style/#styleredundantreturn
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/33a09887feec3cca954db6a2a3eb121f12b03455


#6 - 04/02/2018 09:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 5f5b13a9beef73aee7f3c02be8fcb51a00da1b85.

#7 - 06/29/2019 12:05 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6751 added
